# AIVehicleList_Group Class Reference
[Classes that create a list of items.]

Creates a list of vehicles that are in a group. More...

`#include <ai_vehiclelist.hpp>`

Inheritance diagram for AIVehicleList_Group:

## Public Member Functions

| AIVehicleList_Group (GroupID group_id)

## Static Public Member Functions

static const char * | GetClassName ()

## Detailed Description

Creates a list of vehicles that are in a group.

Definition at line 79 of file ai_vehiclelist.hpp.

## Constructor & Destructor Documentation

AIVehicleList_Group::AIVehicleList_Group | ( | GroupID | group_id | ) |

Parameters:

  | group_id | The ID of the group the vehicles are in.

Definition at line 107 of file ai_vehiclelist.cpp.

References AIAbstractList::AddItem(), Vehicle::group_id, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem< Tpool >::index, Vehicle::IsPrimaryVehicle(), and AIGroup::IsValidGroup().

The documentation for this class was generated from the following files:

- src/ai/api/ai_vehiclelist.hpp
- src/ai/api/ai_vehiclelist.cpp